<p id="notice"><%= notice %></p>


<h1>ออกหวยใหม่</h1>
<h1 class="text-uppercase"><%= @lottery_topic.name %></h1>

<h1>
  ยอดทั้งหมด = <%= @summaries.map { |p| p.total_purchaser.to_i }.sum%>
</h1>

<%= link_to 'New Post', new_post_path(lot: params[:lot]), class: 'btn btn-primary pull-left' %>
<div class="pull-right">
  
<%= form_tag posts_path, method: :get do %>

  <div>
    <%= select_tag 'search[round]', options_for_select(LotteryTime.create_round_hash(@lottery_topic.lottery_times)) %>
  </div>

    <%= hidden_field_tag 'lot', params[:lot]%>
   
  <%= submit_tag "Submit", :disable_with => "Submitting...", class: 'btn btn-success pull-right' %>
<% end %>
</div>


<br>
<br>

<div>
  <!-- Nav tabs -->
  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active"><a href="#home" aria-controls="home" role="tab" data-toggle="tab">วิเคราะห์</a></li>
    <li role="presentation"><a href="#profile" aria-controls="profile" role="tab" data-toggle="tab">บิล</a></li>
  </ul>

  <!-- Tab panes -->
  <div class="tab-content">
    <div role="tabpanel" class="tab-pane active" id="home">
      <div class="col-sm-4">
        <h1>2 ตัวบน</h1>
        <table data-toggle="table" class="table">
          <thead>
            <tr>
              <th data-sortable="true">ตัวเลข</th>
              <th data-sortable="true">ยอดคนซื้อ</th>
              <th data-sortable="true">จำนวนคนซื้อ</th>
              <th data-sortable="true">ถ้าถูกจะเสีย</th>
            </tr>
          </thead>
          <tbody>
            <% ("00".."99").each do |i| %>
              <% top_lot = @summaries.where(position: 1).where(datum: i) %>
              <% top_price = top_lot.map { |p| p.total_purchaser.to_i }.sum%>
              <tr>
                <td>
                  <%= i %><br>
                  <% three =  @summaries.where(position: 4).where("datum like ?", "%#{i}%") %>
                  <% three.each do |th| %>
                    <div class="text-red">
                      <%= th.datum %> : <%= th.total_purchaser %> <br>
                    </div>
                  <% end %>
                  
                </td>
                <td>
                  <%= top_price %>
                </td>
                <td>
                  <%= top_lot.count %>
                </td>
                <td>
                  <%= top_price*96 %>
                </td>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>

      <div class="col-sm-4">
        <h1>2 ตัวล่าง</h1>
        <table data-toggle="table" class="table">
          <thead>
            <tr>
              <th data-sortable="true">ตัวเลข</th>
              <th data-sortable="true">ยอดคนซื้อ</th>
              <th data-sortable="true">จำนวนคนซื้อ</th>
              <th data-sortable="true">ถ้าถูกจะเสีย</th>
            </tr>
          </thead>
          <tbody>
            <% ("00".."99").each do |i| %>
              <% bottom_lot = @summaries.where(position: 2).where(datum: i) %>
              <% bottom_price = bottom_lot.map { |p| p.total_purchaser.to_i }.sum%>
              <tr>
                <td>
                  <%= i %>
                </td>
                <td>
                  <%= bottom_price %>
                </td>
                <td>
                  <%= bottom_lot.count %>
                </td>
                <td>
                  <%= bottom_price*96 %>
                </td>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>

      <div class="col-sm-4">
        <h1>วิ่ง/บน</h1>
        <table data-toggle="table" class="table">
          <thead>
            <tr>
              <th data-sortable="true">ตัวเลข</th>
              <th data-sortable="true">ยอดคนซื้อ</th>
              <th data-sortable="true">จำนวนคนซื้อ</th>
              <th data-sortable="true">ถ้าถูกจะเสีย</th>
            </tr>
          </thead>
          <tbody>
            <% (0..9).each do |i| %>
              <% run_top = @summaries.where(position: 1).where("length(datum) = 1").where(datum: i) %>
              <tr>
                <td>
                  <%= i %>
                </td>
                <td>
                  <%= run_top.map { |p| p.total_purchaser.to_i }.sum %>
                </td>
                <td>
                  <%= run_top.count %>
                </td>
                <td>
                  <%= (run_top.map { |p| p.total_purchaser.to_i }.sum)*3 %>
                </td>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>

      <div class="col-sm-4">
        <h1>วิ่ง/ล่าง</h1>
        <table data-toggle="table" class="table">
          <thead>
            <tr>
              <th data-sortable="true">ตัวเลข</th>
              <th data-sortable="true">ยอดคนซื้อ</th>
              <th data-sortable="true">จำนวนคนซื้อ</th>
              <th data-sortable="true">ถ้าถูกจะเสีย</th>
            </tr>
          </thead>
          <tbody>
            <% (0..9).each do |i| %>
            <% run_bottom = @summaries.where(position: 2).where("length(datum) = 1").where(datum: i) %>
              <tr>
                <td>
                  <%= i %>
                </td>
                <td>
                  <%= run_bottom.map { |p| p.total_purchaser.to_i }.sum %>
                </td>
                <td>
                  <%= run_bottom.count %>
                </td>
                <td>
                  <%= (run_bottom.map { |p| p.total_purchaser.to_i }.sum)*4 %>
                </td>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>

    </div>
    <div role="tabpanel" class="tab-pane" id="profile">
      <table class="table">
        <thead>
          <tr>
            <th>ชื่อ</th>
            <th>user</th>
            <th>ยอด</th>
            <th></th>
          </tr>
        </thead>

        <tbody>
        <tbody>
          <% @bills.each do |bill| %>
            <tr>
              <td><%= bill.try(:name) %></td>
              <td><%= bill.user.name %></td>
              <td><%= bill.try(:total) %></td>
              <td><%= link_to '#รายละเอียด', '#', id: "bill_description", onclick: "add_event(#{bill.id})"%></td>
            </tr>
          <% end %>
        </tbody>
        </table>
      
    </div>
    
    <!-- <div role="tabpanel" class="tab-pane" id="two_top">
      
    </div>
    <div role="tabpanel" class="tab-pane" id="two_bottom">
      
    </div>
-->

  </div>

</div>

<% @bills.each do |bill| %>
  <div class="modal fade modal_<%=bill.id%>" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel">
    <div class="modal-dialog modal-ld" role="document">
      <div class="modal-content">
        <table class="table">
          <thead>
            <tr>
              <th>เลข</th>
              <th>ตำแหน่ง</th>
              <th>ราคา</th>
              <th>สถานะ</th>
              <th>รางวัล</th>
              <th>ส่วนลด</th>
              <th></th>
            </tr>
          </thead>

          <tbody>
            <% bill.lotteries.each do |lottery| %>
              <tr>
                <td><%= lottery.datum %></td>
                <td>
                  <%= 'บน' if lottery.position == "1" %>
                  <%= 'ล่าง' if lottery.position == "2" %>
                  <%= 'ตรง' if lottery.position == "4" %>
                  <%= 'โต๊ด' if lottery.position == "5" %>
                </td>
                <td><%= lottery.real_price %></td>
                <td>

                  <% if lottery.status == 'won' %>
                    <span class="label label-success">ถูกรางวัล</span>
                  <% elsif lottery.status == 'lose' %>
                    <span class="label label-danger">ไม่ถูกรางวัล</span>
                  <% else %>
                    <span class="label label-warning">รอออกรางวัล</span>
                  <% end %>
                </td>
                <td><%= lottery.won_amount %></td>
                <td><%= lottery.discount %></td>

              </tr>
            <% end %>
            <tr>
              <th>รวม</th>
              <td></td>
              <th><%= bill.try(:total)%></th>
              <td></td>
              <th><%= bill.try(:amount_won) %></th>
              <th><%= bill.try(:discount) %></th>
              <td></td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
<% end %>

<script type="text/javascript">
  function add_event(param) {
    event.preventDefault();
    $('.modal_'+param ).modal('show')
  }
</script>



